package cz.mendelu.adaptive;

import java.security.Principal;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import cz.mendelu.adaptive.services.UserDaoService;
import cz.mendelu.adaptive.tools.ActiveExamsRepository;

/**
 * Handles requests for the application home page.
 */
@Controller
public class HomeController {
	
	@Autowired
	public UserDaoService userDaoService;

	public ActiveExamsRepository activeExamsRepository = new ActiveExamsRepository();
	
	private static final Logger logger = LoggerFactory.getLogger(HomeController.class);

	@RequestMapping(value = "/", method = RequestMethod.GET)
	public ModelAndView home(Principal principal) {
		logger.info("Welcome home!");
		
		return new ModelAndView("home", "user", userDaoService.findUserByEmail(principal.getName()));
	}
	
	

}
