package cz.mendelu.adaptive.dao;

import java.util.List;

import cz.mendelu.adaptive.domain.GraphChapterNode;


public interface ChapterDao {

	public List<GraphChapterNode> findAllExamChaptersByExamId(Long examId);

	public Long getExamChapterCount(Long examId);
	
	public GraphChapterNode findChapterById(Long id);	
	
	public void addSubChapter(GraphChapterNode newChapter, Long parentId);
	
	public List<GraphChapterNode> findFirstChapterSuccessorsByParentId(Long parentId);
	
	public Boolean isChapterDependant(Long chapterId);
	
	public List<GraphChapterNode> findFirstAncestorsById(Long parentId);
	
	public void addDependancy(Long chapterId, Long dependantId);
	
	public void removeDependency(Long dependentId, Long dependencyId);
	
	public List<GraphChapterNode> findDependableChaptersById(Long chapterId, Long examId);

	public List<GraphChapterNode> findDependenciesByChapterId(Long chapterId);

	public void updateChapterTitle(GraphChapterNode chapterForm);

	public void removeChapterById(Long chapterId);

	
}
