package cz.mendelu.adaptive.dao;

import java.util.List;

import cz.mendelu.adaptive.domain.Classroom;
import cz.mendelu.adaptive.domain.Exam;
import cz.mendelu.adaptive.domain.User;

public interface ClassroomDao {
	
	public Classroom findClassroomById(Long classroomId);
	
	public List<Classroom> findClassroomsByOwnerId(Long userId);

	public List<Classroom> findClassroomsByMemberId(Long userId);
	
	public void createClassroom(Classroom classroom);
	
	public void deleteClassroom(Long classroomId);
	
	public void updateClassroom(Classroom classroom);
	
	public List<User> findClassroomUsersById(Long classroomId);
	
	public List<Exam> findClassroomExamsById(Long classroomId);
	
	public void addUserToClassroom(Long classroomId, User user);
	
	public void removeUserFromClassroom(Long classroomId, Long userId);
	
	public void removeExamFromClassroom(Long examId); 
	
	public void addExamToClassroom(Long classroomId, Exam exam);
}
