package cz.mendelu.adaptive.dao;

import java.util.List;

import cz.mendelu.adaptive.domain.Exam;

public interface ExamDao {

	public Exam findExamById(Long id);
	
	public List<Exam> findExamsByCreatorEmail(String userLoginName);
	
	public Boolean isUserExamCreator(Long userId, Long examId);
	
	public void removeExamById(Long examId);
	
	public void createExam(Exam exam);

	public List<Exam> findPrivateClassroomExamsByEmail(String userLoginName);	
	
	public List<Exam> findAvailablePrivateExamsByUserId(Long userId);
	
	public List<Exam> findPublicExams();

	public void updateExam(Exam exam);
}
