package cz.mendelu.adaptive.dao;

import java.util.List;

import cz.mendelu.adaptive.domain.Option;
import cz.mendelu.adaptive.domain.Question;

public interface QuestionDao {

	public Question findQuestionById(Long id);
	
	public Boolean isOptionCorrectByOptionId(Long opionId);
	
	public List<Question> findQuestionsByChapterId(Long chapterId);
	
	public List<Question> findRandomQuestionsByChapterId(Long chapterId, int quantity);
	
	public void addQuestionToChapter(Question question, Long chapterId);
	
	public List<Option> findOptionsByQuestionId(Long questionId);
	
	public void updateOptions(List<Option> optionList);
	
	public void updateQuestion(Question question);
	
	public void removeQuestionByQuestionId(Long questionId);
}
