package cz.mendelu.adaptive.dao.impl;

import java.util.List;

import javax.annotation.Resource;

import org.hibernate.SessionFactory;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import cz.mendelu.adaptive.dao.ClassroomDao;
import cz.mendelu.adaptive.domain.Classroom;
import cz.mendelu.adaptive.domain.Exam;
import cz.mendelu.adaptive.domain.User;

@Repository
@Transactional
public class ClassroomDaoImpl implements ClassroomDao{

	@Resource
	private SessionFactory sessionFactory;

	@SuppressWarnings("unchecked")
	@Override
	public List<Classroom> findClassroomsByOwnerId(Long userId) {
		return sessionFactory.getCurrentSession().createQuery("SELECT c FROM Classroom c JOIN c.owner o WHERE o.id = " + userId).list();
	}

	@Override
	public void createClassroom(Classroom classroom) {
		sessionFactory.getCurrentSession().save(classroom);		
	}

	@Override
	public void deleteClassroom(Long classroomId) {
		sessionFactory.getCurrentSession().createSQLQuery("DELETE FROM learning.classroom_user ce WHERE classroom_classroomid = " + classroomId).executeUpdate();
		sessionFactory.getCurrentSession().createSQLQuery("DELETE FROM learning.classroom_exam ce WHERE classroom_classroomid = " + classroomId).executeUpdate();
		sessionFactory.getCurrentSession().createQuery("DELETE FROM Classroom c WHERE c.classroomId = " + classroomId).executeUpdate();
	}

	@Override
	public void updateClassroom(Classroom classroom) {
		
		sessionFactory.getCurrentSession().createQuery("UPDATE Classroom SET label = :label, details = :details WHERE classroomId = :classroomId").setProperties(classroom).executeUpdate();
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<User> findClassroomUsersById(Long classroomId) {
		return sessionFactory.getCurrentSession().createQuery("SELECT m FROM Classroom c JOIN c.memberList m WHERE c.classroomId = " + classroomId).list();
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<Classroom> findClassroomsByMemberId(Long userId) {
		return sessionFactory.getCurrentSession().createQuery("SELECT c FROM Classroom c JOIN c.memberList m WHERE m.id = " + userId).list();
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<Exam> findClassroomExamsById(Long classroomId) {
		return sessionFactory.getCurrentSession().createQuery("SELECT e FROM Classroom c JOIN c.examList e WHERE c.classroomId = " + classroomId).list();
	}

	@Override
	public void addUserToClassroom(Long classroomId, User user) {
		Classroom classroom = findClassroomById(classroomId);
		classroom.addUser(findClassroomUsersById(classroomId), user);
		sessionFactory.getCurrentSession().update(classroom);
	}

	@Override
	public void addExamToClassroom(Long classroomId, Exam exam) {
		Classroom classroom = findClassroomById(classroomId);
		classroom.addExam(findClassroomExamsById(classroomId), exam);
		sessionFactory.getCurrentSession().update(classroom);
	}

	@Override
	public void removeUserFromClassroom(Long classroomId, Long userId) {
		sessionFactory.getCurrentSession().createSQLQuery("DELETE FROM learning.classroom_user cu WHERE cu.memberlist_id = " + userId + " AND cu.classroom_classroomid = " + classroomId).executeUpdate();
	}

	@Override
	public void removeExamFromClassroom(Long examId) {
		sessionFactory.getCurrentSession().createSQLQuery("DELETE FROM learning.classroom_exam ce WHERE ce.examlist_examid = " + examId).executeUpdate();
	}
	
	@Override
	public Classroom findClassroomById(Long classroomId) {
		return (Classroom) sessionFactory.getCurrentSession().get(Classroom.class, classroomId);
	}
}
