package cz.mendelu.adaptive.dao.impl;

import java.util.List;

import javax.annotation.Resource;

import org.hibernate.SessionFactory;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import cz.mendelu.adaptive.dao.QuestionDao;
import cz.mendelu.adaptive.domain.GraphChapterNode;
import cz.mendelu.adaptive.domain.Option;
import cz.mendelu.adaptive.domain.Question;


@Repository
@Transactional
public class QuestionDaoImpl implements QuestionDao{

	@Resource
	private SessionFactory sessionFactory;

	@Override
	public Question findQuestionById(Long id) {
		return (Question) sessionFactory.getCurrentSession().get(Question.class, id);
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<Question> findQuestionsByChapterId(Long chapterId) {
		return sessionFactory.getCurrentSession().createQuery("SELECT q FROM GraphChapterNode c JOIN c.questionList q WHERE c=" + chapterId + " ORDER BY c.chapterId ASC").list();
	}
	@SuppressWarnings("unchecked")
	@Override
	public List<Question> findRandomQuestionsByChapterId(Long chapterId, int quantity) {
		return sessionFactory.getCurrentSession().createQuery("SELECT q FROM GraphChapterNode c JOIN c.questionList q WHERE c=" + chapterId + " ORDER BY Random()").setMaxResults(quantity).list();
	}
	@SuppressWarnings("unchecked")
	@Override
	public List<Option> findOptionsByQuestionId(Long questionId) {
		return (List<Option>) sessionFactory.getCurrentSession().createQuery("SELECT o FROM Question q JOIN q.optionList o WHERE q.questionId =" + questionId).list();
	}

	@Override
	public void removeQuestionByQuestionId(Long questionId) {
		sessionFactory.getCurrentSession().createSQLQuery("DELETE FROM learning.graphchapternode_question WHERE questionlist_questionid =" + questionId).executeUpdate();
		sessionFactory.getCurrentSession().delete(findQuestionById(questionId));
	}

	@Override
	public void addQuestionToChapter(Question question, Long chapterId) {
		List<Question> questions = findQuestionsByChapterId(chapterId);
		questions.add(question);
		GraphChapterNode node = (GraphChapterNode) sessionFactory.getCurrentSession().get(GraphChapterNode.class, chapterId);
		node.setQuestionList(questions);
		sessionFactory.getCurrentSession().update(node);
		
	}

	@Override
	public void updateOptions(List<Option> optionList) {
		for (Option option : optionList) {
			sessionFactory.getCurrentSession().update(option);
		}
		
		
	}

	@Override
	public Boolean isOptionCorrectByOptionId(Long opionId) {
			return (Boolean) sessionFactory.getCurrentSession().createQuery("SELECT o.isCorrect FROM Option o WHERE o.id=" +opionId).uniqueResult();
	}

	@Override
	public void updateQuestion(Question question) {
		sessionFactory.getCurrentSession().update(question);
		
	}	
}
