package cz.mendelu.adaptive.dao.impl;

import java.util.List;

import javax.annotation.Resource;

import org.hibernate.SessionFactory;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import cz.mendelu.adaptive.dao.ResultDao;
import cz.mendelu.adaptive.domain.ChapterResult;
import cz.mendelu.adaptive.domain.ExamResult;

@Repository
@Transactional
public class ResultDaoImpl implements ResultDao{

	@Resource
	private SessionFactory sessionFactory;
	
	@Override
	public void createExamResult(ExamResult examResult) {
		sessionFactory.getCurrentSession().save(examResult);
		
	}

	@Override
	public ExamResult findExamResultByResultId(Long resultId) {
		return (ExamResult) sessionFactory.getCurrentSession().get(ExamResult.class, resultId);
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<ChapterResult> findChapterResultByUserId(Long userId, Long examResultId) {
		return sessionFactory.getCurrentSession().createQuery("SELECT cr FROM ExamResult er JOIN er.chapterResults cr WHERE er.resultId = " + examResultId + " AND er.owner.id = " + userId).list();
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<ExamResult> findExamResultsByOwnerId(Long userId) {
		return sessionFactory.getCurrentSession().createQuery("SELECT r FROM ExamResult r JOIN r.exam e WHERE e.id in (SELECT ex.examId FROM Exam ex WHERE ex.creator = " + userId +")").list();
	}

	@Override
	public void removeExamResult(Long resultId) {
		// TODO Auto-generated method stub
		
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<ExamResult> findExamResultsByUserId(Long userId) {
		return sessionFactory.getCurrentSession().createQuery("SELECT r FROM ExamResult r JOIN r.owner o WHERE o.id = " + userId).list();
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<ExamResult> findExamResultsByClassroomId(Long classroomId) {
		return sessionFactory.getCurrentSession().createQuery("SELECT r FROM ExamResult r JOIN r.exam e WHERE e in (SELECT ce FROM Classroom c JOIN c.examList ce WHERE c.classroomId = " + classroomId + ")").list();
	}



}
