package cz.mendelu.adaptive.dao.impl;

import java.util.List;


import javax.annotation.Resource;

import org.hibernate.SessionFactory;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import cz.mendelu.adaptive.dao.UserDao;
import cz.mendelu.adaptive.domain.Profile;
import cz.mendelu.adaptive.domain.User;

@Repository
@Transactional
public class UserDaoImpl implements UserDao{

	@Resource
	private SessionFactory sessionFactory;	
	
	@Override
	public User findUserById(Long id) {
		return (User) sessionFactory.getCurrentSession().get(User.class, id);
	}

	@Override
	public User findUserByEmail(String email) {
		return (User) sessionFactory.getCurrentSession().createQuery("Select u From User u Where u.email= :email").setParameter("email", email).uniqueResult();
	}

	@Override
	public void createUser(User user) {
		sessionFactory.getCurrentSession().save(user);
	}

	@Override
	public void updateUser(User user) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void removeUserById(Long id) {
		// TODO Auto-generated method stub
		
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<User> findClassroomUsersByNick(String nickName) { 
		System.out.println(nickName + " " + nickName.toLowerCase() + " " + "ditad".equals(nickName)  + " " + nickName.getBytes()); 
		return sessionFactory.getCurrentSession().createQuery("From User u Where lower(u.nickName) LIKE :nickName AND u not in (SELECT cu FROM Classroom c JOIN c.memberList cu ) AND u not in (SELECT co FROM Classroom cl JOIN cl.owner co)").setParameter("nickName","%" + nickName.toLowerCase() + "%").list();
	}

	@Override
	public Profile findProfile(Long userId) {
		return (Profile) sessionFactory.getCurrentSession().createQuery("SELECT p FROM User u JOIN u.profile p WHERE u.id = " + userId).uniqueResult();
	}

	@Override
	public void updateProfile(Profile profile) {
		sessionFactory.getCurrentSession().update(profile);
		
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<User> findUsersBySchool(String school) {
		return sessionFactory.getCurrentSession().createQuery("SELECT u FROM User u JOIN u.profile p WHERE lower(p.schoolOrJob) LIKE :school").setParameter("school","%" + school.toLowerCase() + "%").list();
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<User> findUsersByNick(String nickName) {
		return sessionFactory.getCurrentSession().createQuery("From User u Where lower(u.nickName) LIKE :nickName").setParameter("nickName","%" + nickName.toLowerCase() + "%").list();
	}

}
