package cz.mendelu.adaptive.domain;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.hibernate.annotations.Cascade;
import org.hibernate.annotations.CascadeType;

@Entity
public class Classroom {
	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE) 
	private Long classroomId;
	private String label;
	private String details;
	@OneToOne
	private User owner;
	@OneToMany
	@Cascade(value = { CascadeType.ALL })
	private List<User> memberList;
	@OneToMany
	@Cascade(value = { CascadeType.ALL })
	private List<Exam> examList;
		
	public String getLabel() {
		return label;
	}
	public void setLabel(String label) {
		this.label = label;
	}
	public User getOwner() {
		return owner;
	}
	public void setOwner(User creator) {
		this.owner = creator;
	}
	public List<User> getMemberList() {
		return memberList;
	}
	public void setMemberList(List<User> userList) {
		this.memberList = userList;
	}
	public List<Exam> getExamList() {
		return examList;
	}
	public void setExamList(List<Exam> assessmentList) {
		this.examList = assessmentList;
	}
	public Long getClassroomId() {
		return classroomId;
	}
	public void setClassroomId(Long classroomId) {
		this.classroomId = classroomId;
	}
	public String getDetails() {
		return details;
	}
	public void setDetails(String information) {
		this.details = information;
	}
	public void addUser(List<User> currentUsers, User newUser){
		currentUsers.add(newUser);
		setMemberList(currentUsers);
	}
	public void addExam(List<Exam> currentExams, Exam newExam){
		currentExams.add(newExam);
		setExamList(currentExams);
	}
	public void removeUser(List<User> currentUsers, User newUser){
		currentUsers.remove(newUser);
		setMemberList(currentUsers);
	}
	public void removeExam(List<Exam> currentExams, Exam newExam){
		currentExams.remove(newExam);
		setExamList(currentExams);
	}
}
