package cz.mendelu.adaptive.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToOne;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.hibernate.annotations.CascadeType;
import org.hibernate.annotations.Cascade;
import org.hibernate.validator.constraints.Range;


@Entity
public class Exam {
	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE)
	private Long examId;
	@Size(min = 4, message = "Title must be at least 4 characters long!")
	private String examTitle;
	@Size(min = 4, message = "Subject must be at least 4 characters long!")	
	private String subjectTitle;
	
	private Float requiredSuccess;
	@NotNull(message = "May not be null!")
	@Range(min = 1, message = "There must be at least 1 generated question per chapter!")
	private Integer generateQuestions;
	
	private ExamType examType;
	
	private Boolean isReady;
	
	@OneToOne
	private User creator;

	@Temporal(TemporalType.TIMESTAMP)
	private Date createdOn;
	
	@OneToOne
	@Cascade(value = { CascadeType.SAVE_UPDATE })
	@Valid
	private GraphChapterNode rootNode;
	
	public Exam() {	
		this.rootNode = new GraphChapterNode(this);
	}
		
	
	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long categoryTreeId) {
		this.examId = categoryTreeId;
	}

	public String getSubjectTitle() {
		return subjectTitle;
	}

	public void setSubjectTitle(String subjectName) {
		this.subjectTitle = subjectName;
	}

	public User getCreator() {
		return creator;
	}

	public void setCreator(User creator) {
		this.creator = creator;
	}

	public Date getCreatedOn() {
		return createdOn;
	}

	public void setCreatedOn(Date createdOn) {
		this.createdOn = createdOn;
	}

	public GraphChapterNode getRootNode() {
		return rootNode;
	}

	public Integer getGenerateQuestions() {
		return generateQuestions;
	}

	public void setGenerateQuestions(Integer generateQuestions) {
		this.generateQuestions = generateQuestions;
	}

	public String getExamTitle() {
		return examTitle;
	}

	public void setExamTitle(String examTitle) {
		this.examTitle = examTitle;
	}

	public ExamType getExamType() {
		return examType;
	}

	public void setExamType(ExamType examType) {
		this.examType = examType;
	}

	public Float getRequiredSuccess() {
		return requiredSuccess;
	}

	public void setRequiredSuccess(Float requiredSuccess) {
		this.requiredSuccess = requiredSuccess;
	}

	public Boolean getIsReady() {
		return isReady;
	}

	public void setIsReady(Boolean isReady) {
		this.isReady = isReady;
	}

	public void setRootNode(GraphChapterNode rootNode) {
		this.rootNode = rootNode;
	}



}
