package cz.mendelu.adaptive.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.Cascade;
import org.hibernate.annotations.CascadeType;

@Entity
public class ExamResult {
	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE)
	private Long resultId;
	@OneToOne
	private User owner;
	@OneToOne
	private Exam exam;
	@OneToMany
	@Cascade(CascadeType.ALL)
	private List<ChapterResult> chapterResults = new ArrayList<ChapterResult>();
	
	@Temporal(TemporalType.TIMESTAMP)
	private Date takenDate;	
	
	public User getOwner() {
		return owner;
	}
	public void setOwner(User owner) {
		this.owner = owner;
	}
	public Exam getExam() {
		return exam;
	}
	public void setExam(Exam exam) {
		this.exam = exam;
	}

	public Long getResultId() {
		return resultId;
	}
	public void setResultId(Long resultId) {
		this.resultId = resultId;
	}
	public ExamResult() {}
	
	public void addChapterResultAnswer(GraphChapterNode chapter, Answer answer){
		ChapterResult chapterResult = new ChapterResult(chapter, answer);
		if (chapterResults.contains(chapterResult))
			chapterResults.get(chapterResults.indexOf(chapterResult)).addAnswer(answer);
		else
			chapterResults.add(chapterResult);
			
	}
	
	public ExamResult(User owner, Exam exam) {
		this.owner = owner;
		this.exam = exam;
		this.takenDate = new Date();
	}
	public List<ChapterResult> getChapterResults() {
		return chapterResults;
	}
	public void setChapterResults(List<ChapterResult> chapterResults) {
		this.chapterResults = chapterResults;
	}
	public Date getTakenDate() {
		return takenDate;
	}
	public void setTakenDate(Date takenDate) {
		this.takenDate = takenDate;
	}
	
}
