package cz.mendelu.adaptive.domain;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.Pattern;


@Entity
public class Profile {
	
	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE)
	private Long profileId;
	
	@Pattern(regexp = "[A-Za-z]{0,20}", message = "Must contain 0-20 characters. ")
	private String firstName;


	@Pattern(regexp = "[A-Za-z]{0,25}", message = "Must contain 0-25 characters.")
	private String surname;
	

	@Pattern(regexp = "[A-Za-z ]{0,60}", message = "Must contain 0-60 characters.")
	private String schoolOrJob;
	
	@Pattern(regexp = "[A-Za-z., ]{0,20}", message = "Must contain 0-20 characters.")
	private String academicTitle;
	
	@Enumerated	(EnumType.STRING)
	private UserType userType;

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public UserType getUserType() {
		return userType;
	}

	public void setUserType(UserType userType) {
		this.userType = userType;
	}

	public Long getProfileId() {
		return profileId;
	}

	public void setProfileId(Long profileId) {
		this.profileId = profileId;
	}


	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}

	public String getAcademicTitle() {
		return academicTitle;
	}

	public void setAcademicTitle(String academicDegree) {
		this.academicTitle = academicDegree;
	}

	public String getSchoolOrJob() {
		return schoolOrJob;
	}

	public void setSchoolOrJob(String schoolOrJob) {
		this.schoolOrJob = schoolOrJob;
	}
	
}
