package cz.mendelu.adaptive.services;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cz.mendelu.adaptive.dao.ClassroomDao;
import cz.mendelu.adaptive.domain.Classroom;
import cz.mendelu.adaptive.domain.Exam;
import cz.mendelu.adaptive.domain.User;

@Service
public class ClassroomDaoService implements ClassroomDao {

	@Resource
	private ClassroomDao classroomDao;

	@Override
	public List<Classroom> findClassroomsByOwnerId(Long userId) {
		return classroomDao.findClassroomsByOwnerId(userId);
	}

	@Override
	public void createClassroom(Classroom classroom) {
		classroomDao.createClassroom(classroom);
	}

	@Override
	public void deleteClassroom(Long classroomId) {
		classroomDao.deleteClassroom(classroomId);
	}

	@Override
	public void updateClassroom(Classroom classroom) {
		classroomDao.updateClassroom(classroom);
	}

	@Override
	public List<User> findClassroomUsersById(Long classroomId) {
		return classroomDao.findClassroomUsersById(classroomId);
	}

	@Override
	public List<Classroom> findClassroomsByMemberId(Long userId) {
		return classroomDao.findClassroomsByMemberId(userId);
	}

	@Override
	public List<Exam> findClassroomExamsById(Long classroomId) {
		return classroomDao.findClassroomExamsById(classroomId);
	}

	@Override
	public Classroom findClassroomById(Long classroomId) {
		return classroomDao.findClassroomById(classroomId);
	}

	@Override
	public void addUserToClassroom(Long classroomId, User user) {
		classroomDao.addUserToClassroom(classroomId, user);
	}

	@Override
	public void addExamToClassroom(Long classroomId, Exam exam) {
		classroomDao.addExamToClassroom(classroomId, exam);
	}

	@Override
	public void removeUserFromClassroom(Long classroomId, Long userId) {
		classroomDao.removeUserFromClassroom(classroomId, userId);	
	}

	@Override
	public void removeExamFromClassroom(Long examId) {
		classroomDao.removeExamFromClassroom(examId);
	}
}
