package cz.mendelu.adaptive.services;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.encoding.ShaPasswordEncoder;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cz.mendelu.adaptive.domain.User;
import cz.mendelu.adaptive.domain.UserRoles;

@Service("UserDetailsService")
@Transactional
public class UserSecurityService implements UserDetailsService{
	
	private UserDetails user;
	@Autowired
	private UserDaoService userDaoService;
	
	@Override
	
	public UserDetails loadUserByUsername(String email){

		User dbUser = userDaoService.findUserByEmail(email);
	
		try {
			
			if (dbUser != null) {
				user = new CustomSecurityUser(dbUser.getEmail(),  new ShaPasswordEncoder().encodePassword(dbUser.getPassword(), null), true, true, true, true, getAuthorities(dbUser.getRole()), dbUser.getId(), dbUser.getNickName());
				return user;
			}
		} catch (UsernameNotFoundException e) {
			// TODO: handle exception
		}
		throw new UsernameNotFoundException("Not Found");
	}

	public Collection<? extends GrantedAuthority> getAuthorities(UserRoles role) {  
	       
		List<GrantedAuthority> authList = getGrantedAuthorities(role);  
        return authList;  
    }  
	public static List<GrantedAuthority> getGrantedAuthorities(UserRoles role) {  
        List<GrantedAuthority> authorities = new ArrayList<GrantedAuthority>();  
        authorities.add(new SimpleGrantedAuthority(role.toString()));  
        return authorities;  
    } 
}
