<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		
		<script type="text/javascript">
		$(function(){
			$("#add").click(function () {

				if (!$.isNumeric($("#user").val())) {					
					alert('Must be valid user UID');
					return false;
				};
			});
			
			$("#results").click(function () {
				$("#results").prop("checked", false);
				location.href = "/webapp/classroomResults/" + $("#classId").val();
			});
			$("#user").autocomplete({
				  minLength: 4,
			      source: function(request, response) {
			            $.ajax({
			                url: "/webapp/findUserAjax",
			                dataType: "json",
			                contentType: "application/json; charset=utf-8",
			                data: { nick: request.term},
			                success: function(data) {
			                	for (var i=0;data.length>i;i++){
			        				data[i].label = data[i].nickName;
			        				data[i].value = data[i].id;
			        			}
			                	response(data);
			                }
			            });
			      }
			});
			$(".removeU").click(function(){
				if (confirm("This will remove user from classroom. Continue?")) {
					$("#removeUser").val($(this).find(".user").val());
					$("#remUsr").submit();
				};
			});
			$(".removeE").click(function(){
				if (confirm("This will remove exam from classroom. Continue?")) {
					$("#removeExam").val($(this).find(".exam").val());
					$("#remExm").submit();
				};
			});
		});
		</script>
		<style type="text/css">
			.ui-autocomplete-loading {
   				 background: white url("${pageContext.request.contextPath}/resources/images/ui-anim-16x16.gif") right center no-repeat;
   			}

		</style>
	</head>
	<body>
	
		<fieldset>
			<div class="btnset">
				<h1>Managing classroom</h1>
				<input id="manage" type="radio" checked="checked"><label for="manage">Classroom management</label>
				<input id="results" type="radio"><label for="results">Classroom exam results</label>
			</div>
		</fieldset>
		<br>
		<br>
		<br>
		<br>
		<div class="tabs">
			<ul>
				<li><a href="#available">Exams in classroom</a></li>
				<li><a href="#addExam">Add exam</a></li>
			</ul>
			<div id="available">
				<input id="classId" type="hidden" value="${classId}" >
				<table>
					<c:if test="${myExams.isEmpty()}">
						<tr>
							<td><b>You have no exams added yet.</b></td>
						</tr>
					</c:if>
					<c:if test="${!myExams.isEmpty()}">
						<tr>
							<th>#</th>
							<th>Label</th>
							<th>Subject</th>
						</tr>
					</c:if>
					<c:forEach items="${myExams}" var="exam" varStatus="i">
						<tr>
							<td>${i.index+1}</td>
							<td>${exam.examTitle} </td>
							<td>${exam.subjectTitle}</td>
							<td>
								<span class="ui-icon ui-icon-circle-close ui-button ui-corner-all removeE"><input class="exam" type="hidden" value="${exam.examId}"/></span>
							</td>
						</tr>
					</c:forEach>
				</table>
				<form id="remExm" method="post">
					<input id="removeExam" name="removeExam" type="hidden" value="">
				</form>
			</div>
			<div id="addExam">
				<form id="submitExam" name="addExam" method="post">

					
					<label for="examId">Add exam to classroom:</label>
					
					<select name="examId" id="exam">
						<option label="Select from list" value="0" />
						<c:forEach items="${Exams}" var="exam">
							<option label="${exam.examTitle}" value="${exam.examId}"/>
						</c:forEach>
					</select>
					&nbsp;
					<input name="addexam" type="submit" value="Add exam">
					<br>
				</form>
			</div>
		</div>
		
		<br>
		
		<div class="tabs">
			<ul>
				<li><a href="#users">Users in classroom</a></li>
				<li><a href="#addUser">Add user</a></li>
			</ul>
			<div id="users">
				<table>
					<c:if test="${Users.isEmpty()}">
						<tr>
							<td><b>No users in this classroom.</b></td>
						</tr>
					</c:if>
					<c:if test="${!Users.isEmpty()}">
						<tr>
							<th>#</th>
							<th>UID</th>
							<th>Nickname</th>
						</tr>
					</c:if>
					<c:forEach items="${Users}" var="user" varStatus="i">
						<tr>
							<td>${i.index+1}</td>
							<td>${user.id}</td>
							<td><a href="/webapp/profileView/${user.id}">${user.nickName}</a> </td>
							<td>
								<span class="ui-icon ui-icon-circle-close ui-button ui-corner-all removeU"><input class="user" type="hidden" value="${user.id}"/></span>
							</td>
						</tr>
					</c:forEach>
				</table>
				<form id="remUsr" method="post">
					<input id="removeUser" name="removeUser" type="hidden" value="">
				</form>
			</div>
			
			<div id="addUser">
				<form id="submitUser" name="addUser" method="post">
					<p>Add user to classroom by UID or find user UID by user nickname.</p>
					
					<input name="userId" id="user">
					&nbsp;
					<input id="add" name="adduser" type="submit" value="Add user">
					<br>
				</form>
			</div>
		</div>


		<br>
	</body>
</html>