<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>

	</head>

	<script type="text/javascript">
		$(function() {
			$("#manage").click(function () {
				$("#manage").prop("checked", false);
				location.href = "/webapp/addExamContent/" + ${examId} + "/" + ${chapterId};
			});
			$("#navigate").click(function () {
				$("#navigate").prop("checked", false);
				location.href = "/webapp/navigateChapters/" + ${examId} + "/" + ${chapterId};
			});
			$(".rem").click(function() {
				$("#remove").val($(this).find(".removeDep").val());
				$("#removeForm").submit();
			});
		});
	</script>
	<body>
		<fieldset>
			<div class="btnset">
				<h1>Editing chapter: <em>${chapterForm.exam.examTitle}</em></h1>
				<input id="manage" type="radio"><label for="manage">Manage chapter data</label>
				<input id="navigate" type="radio"><label for="navigate">Chapter navigation</label>
				<input id="editChapter" type="radio" checked="checked"><label for="editChapter">Edit chapter</label>
			</div>
		</fieldset>	
		<br>
		<br>
		<br>
		<br>
		<div class="tabs">
			<ul>
				<li><a href="#chapterEdit">Edit chapter title</a></li>
				<li><a href="#chapterDelete">Delete chapter</a></li>
				<li><a href="#dependencies">Chapter dependencies</a></li>
			</ul>
			<div id="chapterEdit">
				<br>
				<form:form method="POST" modelAttribute="chapterForm">
					<form:hidden path="chapterId"/>
					<table>
						<tr>
							<th>chapter title:</th>
							<td><form:input path="chapterTitle" /></td>
							<td><input name="edit" type="submit" value="Update chapter"/></td>
							<td><form:errors path="chapterTitle" cssClass="error"/></td>
						</tr>
					</table>
					<br>
					
				</form:form>
			</div>
			<div id="chapterDelete">
				<form:form method="POST" modelAttribute="chapterForm">
					<form:hidden path="chapterId"/>
					<p>
						This will delete current chapter with all child chapters!<br> Make sure no chapter is dependent on this chapter or this action will also delete that chapter with all its child chapters.
					</p>
					<br>
					<table>
						<tr>
							<td><input name="delete" type="submit" value="Delete this chapter"/></td>
						</tr>
					</table>
				</form:form>
			</div>
			<div id="dependencies">
				<form method="POST">	
					<p>Currently managing dependency for chapter: <b>${chapterForm.chapterTitle}</b></p>
					<br>
					<table>
						<tr>
							<th>Make chapter dependent on:</th>
							<td>
								<select name="parentId">
									<option label="Select chapter" value="0" />
										<c:forEach items="${dependebles}" var="item">
											<option label="${item.chapterTitle}" value="${item.chapterId}" />
										</c:forEach>	
								</select>
							</td>
							<td><input name="dependency" type="submit" value="Add dependency"/></td>
						</tr>
					</table>
				</form>
				<br>
				<br>
				<table>
					<c:if test="${dependencies.isEmpty()}">
					<ins>This chapter has no dependencies.</ins>
					</c:if>
					<c:if test="${!dependencies.isEmpty()}">
					<tr>
						<th>#</th>
						<th>This chapter is dependent on</th>
					</tr>
					</c:if>
					<c:forEach items="${dependencies}" var="dep" varStatus="i">
						<tr>
							<td>${i.index+1}</td>
							<td>${dep.chapterTitle}</td>
							<td>
								<span class="ui-icon ui-icon-circle-close ui-button ui-corner-all rem">
								<input class="removeDep" type="hidden" value="${dep.chapterId}"/></span>
							</td>
						</tr>
					</c:forEach>
				</table>
				
				<form id="removeForm" method="post">
					<input id="remove" name="dependencyId" type="hidden" value="">
				</form>
				<br>
				<br>
			</div>
		</div>
		<br>
		<br>

	</body>
</html>