<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" />
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/dist/themes/default/style.min.css" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/dist/jstree.min.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/draculaGraph/raphael-min.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/draculaGraph/dracula_algorithms.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/draculaGraph/dracula_graffle.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/draculaGraph/dracula_graph.js"></script>
		
		<script type="text/javascript">
		$(function() {
			$( ".remove:first" ).hide();

			$("#titles").change(function () {
				location.href = "/webapp/addExamContent/" + ${examId} + "/" + $(this).val();
			});
			$("#manage").click(function () {
				$("#manage").prop("checked", false);
				location.href = "/webapp/addExamContent/" + ${examId} + "/" + ${chapterId};
			});
			$("#editChapter").click(function () {
				$("#editChapter").prop("checked", false);
				location.href = "/webapp/chapterEdit/" + ${examId} + "/" + ${chapterId};
			});
		    var g = new Graph();
		    g.edgeFactory.template.style.directed = true;
		   
		    $( ".parents" ).each(function() {
		    	g.addEdge($(this).val() + "\n(Parent Chapter)", $("#node").val() + "\n(Current Chapter)", { stroke : "#bfa" , fill : "#56f"});
		    });
		    $( ".children" ).each(function() {
		    	g.addEdge($("#node").val() + "\n(Current Chapter)", $(this).val() + "\n(Child Chapter)", { stroke : "#bfa" , fill : "#56f"});
		    });
		    var layouter = new Graph.Layout.Ordered(g, topological_sort(g));
		    var renderer = new Graph.Renderer.Raphael("canvas", g, 0.40*document.body.clientWidth, 250);
			$.jstree.defaults.core.themes.variant = "large";
			$("#tree").jstree().on("select_node.jstree", function(e, data) {
				  for(i = 0, j = data.selected.length; i < j; i++) {
					  location.href = "/webapp/addExamContent/" + ${examId} + "/" + data.node.a_attr.href;  
				  };
			});
		});
		</script>
		
		<style type="text/css">
		th {
			text-align: right;
		}

		
		</style>

	</head>
	<body>
		<fieldset>
			<div class="btnset">
				<h1>Chapter navigation</h1>
				<input id="manage" type="radio"><label for="manage">Manage chapter data</label>
				<input id="navigate" type="radio" checked="checked"><label for="navigate">Chapter navigation</label>
				<input id="editChapter" type="radio"><label for="editChapter">Edit chapter</label>
			</div>
		</fieldset>	
		<br>
		<br>
		<br>
		<br>
		<c:forEach items="${parents}" var="item">
			<input class="parents" type="hidden" value="${item.chapterTitle }" />
		</c:forEach>
		<input id="node" type="hidden" value="${current.chapterTitle }" />
		<c:forEach items="${children}" var="item">
			<input class="children" type="hidden" value="${item.chapterTitle }" />
		</c:forEach>

		<div class="tabs">
			<ul>
				<li><a href="#byTree">Browse chapters structure</a></li>
			</ul>	
			
			<div id="byTree">
				<h3>Browsing nearest chapters to ${current.chapterTitle }</h3>
				<div id="canvas"></div>
				<br />
				<br />
				<strong>Go to chapter:</strong>
				<select id="titles">
					<option>Select a title</option>
					<c:forEach items="${chapters}" var="item">
						<option label="${item.chapterTitle}" value="${item.chapterId}" />
					</c:forEach>
				</select>
				<br />
				<br />
				<strong>Go to child chapter:</strong>
				<div id="tree">
					<ul>
						<li data-jstree='{"opened":true}'><a class="jstree-clicked" href="${current.chapterId}">${current.chapterTitle}</a>
							<ul>
								<c:if test="${children.isEmpty()}">
									<li data-jstree='{"disabled":true}'>No child chapters</li>
								</c:if>
								<c:forEach items="${children}" var="child">
									<li><a href="${child.chapterId}" >${child.chapterTitle}</a></li>	
								</c:forEach>
							</ul>		
						</li>
					</ul>				
				</div>
			</div>
		</div>
		

	</body>
</html>