<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>
		<style>
			table td{
				border: none 3px;
				border-spacing: 25px;
			}
			#generate{
				height: 15px;
				width: 110px;
			}
			.ui-spinner{
				text-indent: 0px;
			}
			.ui-slider .ui-slider-handle{
				position: absolute;
				top: 1px;
				width: 1.5em;
			}
			#require{
				height: 19px;
				width: 139px;
				position: relative;
				left: 25px;
			}		
			#req{
				position: relative;
				left: 135px;
			}
		</style>
		<script type="text/javascript">
		$(function() {
			$("#success").hide();
			$("#generate").spinner({min: 1, value: 1});
			$("#require").slider({min: 1, max: 100, value: 50,
				change: function() {
					$("#req").html($("#require").slider("value") + " %"); 
					$("#success").val($("#require").slider("value"));
				} 
			});
			$( "#view" ).click(function(){
				$( this ).prop("checked", false);
				window.location.href = "examsView";
			});
			$( "#browseResults" ).click(function(){
				$( this ).prop("checked", false);
				window.location.href = "browseResults";
			});
		});
		</script>
	</head>
	
	<body>
		<fieldset>
			<div class="btnset">
				<h1>Creating a new exam</h1>
				<input id="view" type="radio"/> <label for="view">View exams</label>
				<input id="createExam" type="radio" checked="checked"/> <label for="createExam">Create new exam</label>
				<input id="browseResults" type="radio" /><label for="browseResults">Browse exam results</label>
			</div>
		</fieldset>
		<br/>
		<br/>
		<br/>
		<br/>
		<div class="tabs">
			<ul>
				<li><a href="#examTab">Create Exam</a></li>
			</ul>
			<div id="examTab">
				<form:form method="POST" modelAttribute="Exam">
					<input name="userId" type="hidden" value='<sec:authentication property="principal.id" />' />
					<table>
						<tr>
							<th>Exam title:</th>
							<td><form:input path="examTitle" /></td>
							<td><form:errors path="examTitle" cssClass="error"/></td>
						</tr>
						<tr>
							<th>Exam type:</th>
							<td>
								<form:select path="examType">
									<form:options items="${types}"/>
								</form:select>
							</td>
						</tr>
						<tr>
							<th>Exam subject:</th>
							<td><form:input path="subjectTitle" /></td>
							<td><form:errors path="subjectTitle" cssClass="error"/></td>
						</tr>
						<tr>
							<th>Root chapter title:</th>
							<td><form:input path="rootNode.chapterTitle" /></td>
							<td><form:errors path="rootNode.chapterTitle" cssClass="error"/></td>
						</tr>
						<tr>
							<th>Questions generated per chapter:</th>
							<td><form:input id="generate" path="generateQuestions" value="1"/></td>
							<td><form:errors path="generateQuestions" cssClass="error"/></td>
						</tr>
						<tr>
							<th>Required % correct per chapter:</th>
							<td><div id="require"><span id="req">50 %</span></div></td>
							<td><form:input id="success"  path="requiredSuccess" value="50"/></td>
							<td><form:errors path="requiredSuccess" cssClass="error"/></td>
						</tr>		
						<tr> 
							<th></th>
							<td><input type="submit" value="Create exam"/></td>
						</tr>
					</table>	
				</form:form>
			</div>
		</div>
	</body>
</html>