<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>

		<script type="text/javascript">
		$(function(){
			$(".edit").click(function(){
				location.href = "/webapp/examEdit/" + $(this).find(".exam").val();
			});
			$(".manage").click(function(){
				location.href = "/webapp/addExamContent/" + $(this).find(".exam").val() + "/" + $(this).find(".root").val();
			});
			$(".remove").click(function(){
				if (confirm("This will delete exam and all its data. Continue?")) {
					$("#removeId").val($(this).find(".exam").val());
					$("#removeForm").submit();
				};
			});
		});
		</script>
	

		<script type="text/javascript">
			$(function() {
				$( "#createExam" ).click(function(){
					$( this ).prop("checked", false);
					window.location.href = "createExam";
				});
				$( "#browseResults" ).click(function(){
					$( this ).prop("checked", false);
					window.location.href = "browseResults";
				});
			});
		</script>
		<style type="text/css">

			th{
				text-align: center;
			}
		</style>
	</head>
	<body>

		<fieldset>
			<div class="btnset">
				<h1>Browse my exams</h1>
				<input id="view" type="radio" checked="checked"><label for="view">View my exams</label>
				<input id="createExam" type="radio" ><label for="createExam">Create new exam</label>
				<input id="browseResults" type="radio" ><label for="browseResults">Browse exam results</label>
			</div>
		</fieldset>
		<br>
		<br>
		<div class="tabs">
			<ul>
				<li><a href="#ownExams">Owning exams</a></li>
			</ul>
			<div id="ownExams">
				<table>
					<c:if test="${myExams.isEmpty()}">
						<tr>
							<td><b>You have no exam created yet.</b></td>
						</tr>
					</c:if>
					<c:if test="${!myExams.isEmpty()}">
					<tr>
						<th>Label</th>
						<th>Type</th>
						<th>Subject</th>
						<th>Created</th>
					</tr>
					</c:if>
					<c:forEach items="${myExams}" var="exam">
					<tr>
						<td>${exam.examTitle} </td>
						<td>${exam.examType}</td>
						<td>${exam.subjectTitle}</td>
						<td><fmt:formatDate pattern="dd.MM.yyyy k:mm" value="${exam.createdOn}" /></td>
						<td>
							<span class="ui-icon ui-icon-pencil ui-button ui-corner-all edit"><input class="exam" type="hidden" value="${exam.examId}"/></span>
							<span class="ui-icon ui-icon-wrench ui-button ui-corner-all manage"><input class="exam" type="hidden" value="${exam.examId}"/><input class="root" type="hidden" value="${exam.rootNode.chapterId}"/></span>
							<span class="ui-icon ui-icon-trash ui-button ui-corner-all remove"><input class="exam" type="hidden" value="${exam.examId}"/></span>
						</td>
					</tr>
					</c:forEach>
					
				</table>
				<form id="removeForm" method="post">
					<input id="removeId" name="examId" type="hidden" value=""/>		
				</form>
			</div>
		</div>
		
		
		
	</body>
</html>