<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>
		<script type="text/javascript">
		$(function() {
			$("#viewExams").click(function () {
				$("#viewExams").prop("checked", false);
				location.href = "/webapp/takeExam/";
			});
			$("#results").click(function () {
				location.href = "/webapp/resultView/";
			});
			$(".detail").click(function(){
				location.href = "/webapp/userResultDetail/" + $(this).find(".result").val();
			});
		});
		</script>
		<style type="text/css">
		th , td {
			text-align: center;
		}
		</style>
	</head>
	
	<body>
		<fieldset>
			<div class="btnset">
				<h1>Exam results</h1>
				<input id="viewExams" type="radio"><label for="viewExams">Available exams</label>
				<input id="results" type="radio" checked="checked"><label for="results">Exam results</label>
			</div>
		</fieldset>	
		<br>
		<br>
		<br>
		<br>
		<div class="tabs">
			<ul>
				<li><a href="#myresults">My results</a></li>
			</ul>
			<div id="myresults">
				<table>
					<c:if test="${results.isEmpty()}">
						<ins>No exam results available.</ins>
					</c:if>
					<c:if test="${!results.isEmpty()}">
						<tr>
							<th>#</th>
							<th>Label</th>
							<th>Subject</th>
							<th>Taken</th>
						</tr>
					</c:if>
					<c:forEach items="${results}" var="item" varStatus="i">
						<tr>
							<td>${i.index+1}</td>
							<td>${item.exam.examTitle}</td>
							<td>${item.exam.subjectTitle}</td>
							<td><fmt:formatDate pattern="dd.MM.yyyy k:mm" value="${item.takenDate}" /></td>
							<td><span class="ui-icon ui-icon-search ui-button ui-corner-all detail"><input class="result" type="hidden" value="${item.resultId}"/></span></td>
						</tr>
					</c:forEach>
				</table>
			</div>
		</div>
	
	</body>
</html>