<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions"  prefix="fn"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ page session="false" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>
		<script type="text/javascript">
			$(function() {
				$(".ui-icon").off();
			});
		</script>
		<style type="text/css">
		.ui-icon-check{
			background-color: green;
		}
		.ui-icon-closethick{
			background-color: red;
		}
		</style>
	</head>
	<body>
		<div class="tabs">
			<ul>
				<li><a href="#examDetails">Exam details</a></li>
				<li><a href="#results">Result details</a></li>
			</ul>
			<div id="examDetails">
			   <table>
				  <tr>
				    <th>Exam title:</th>
				    <td>${result.exam.examTitle}</td>
				  </tr>
				  <tr>
				    <th>Exam subject:</th>
				    <td>${result.exam.subjectTitle}</td>
				  </tr>
				  <tr>
				    <th>Chapters in exam:</th>
				    <td>${count}</td>
				  </tr>
				  <tr>
				    <th>Questions generated per chapter:</th>
				    <td>${result.exam.generateQuestions}</td>
				  </tr>
				  <tr>
				    <th>Require success rate per chapter:</th>
				    <td>${result.exam.requiredSuccess} %</td>
				  </tr>
			   </table>
			</div>
			<div id="results">
				<c:forEach items="${chapters}" var="chapter">
					<br>
					<h3>${chapter.chapter.chapterTitle}</h3>
					<table>
						<c:forEach items="${chapter.answerList}" var="item" varStatus="i">
							<tr>
								<th>${i.index+1}. Question</th>
								<td>
									<c:if test="${item.correct}">
										<span class="ui-icon ui-corner-all ui-icon-check"></span>
									</c:if>
									<c:if test="${!item.correct}">
										<span class="ui-icon ui-corner-all ui-icon-closethick"></span>
									</c:if>
								</td>
							</tr>
						</c:forEach>
					</table>
					
					<br>
					<p>
						Chapter 
						<c:if test="${(chapter.result*100) >= result.exam.requiredSuccess }">
							 completed <b>SUCCESSFULLY</b>
						</c:if>
						<c:if test="${(chapter.result*100) < result.exam.requiredSuccess }">
							<b>FAILED</b>
						</c:if>
						 with <b> ${chapter.result*100} %.</b>
					</p>
					<br>
					<hr>
				</c:forEach>
			</div>
		</div>
	</body>
</html>