<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>
		<script type="text/javascript">
		$(function(){
			$("#uidForm").submit(function(){
				if (!$.isNumeric($("#uid").val())){
					alert("Must be valid number!");
					return false;
				};
			});
			$("#nickForm").submit(function(){
				if ($("#nick").val() == ""){
					alert("Must not be empty!");
					return false;
				};
			});
			$("#emailForm").submit(function(){
				if ($("#email").val() == ""){
					alert("Must not be empty!");
					return false;
				};
			});
			$("#schoolForm").submit(function(){
				if (("#school").val() == ""){
					alert("Must not be empty!");
					return false;
				};
			});
			$(".remove").click(function(){
				if (confirm("This will delete user. Continue?")) {
					$("#rem").val($(this).find(".user").val());
					$("#remForm").submit();
				};
			});
		});
		</script>

	</head>
	<body>
		<fieldset>
			<div class="btnset">
				<h1>Find user</h1>
				<br><br>
			</div>
		</fieldset>
		<br>
		<br>
		<br>
		<br>
		<div class="tabs">
			<ul>
				<li><a href="#uidTab">Find by UID</a></li>
				<li><a href="#nickTab">Find by Nickname</a></li>
				<li><a href="#emailTab">Find by Email</a></li>
				<li><a href="#schoolTab">Find by School</a></li>
			</ul>
			<div id="uidTab">
				<form id="uidForm"  method="GET">
					<p>Find user by UID:</p>
					<table>
						 <tr>
						    <th>UID</th>
						    <td><input id="uid" name="data" type="text"></td> 
							<td><input name="uid" type="submit" value="Find user"></td>
						</tr>
					</table>
				</form>
			</div>
			<div id="nickTab">
				<form id="nickForm" method="GET">
					<p>Find user by nickname:</p>
					<table>
						 <tr>
						    <th>Nickname</th>
						    <td><input id="nick" name="data" type="text"></td> 
							<td><input name="nick" type="submit" value="Find user"></td>
						</tr>
					</table>
				</form>
			</div>
			<div id="emailTab">
				<form id="emailForm"  method="GET">
					<p>Find user by email:</p>
					<table>
						 <tr>
						    <th>Email</th>
						    <td><input id="email" name="data" type="text"></td> 
							<td><input name="email" type="submit" value="Find user"></td>
						</tr>
					</table>
				</form>
			</div>
			<div id="schoolTab">
				<p>Find user by school:</p>
				<form id="schoolForm"  method="GET">		
					<table>
						<tr>
						    <th>School</th>
						    <td><input id="school" name="data" type="text"></td>
							<td><input name="school" type="submit" value="Find user"></td>
						</tr>
					</table>
				</form>
			</div>
		</div>
		<form id="remForm" method="post">
			<input id="rem" name="user" type="hidden" value="">
		</form>
		<div class="tabs">
			<ul>
				<li><a href="#results">Results</a></li>
			</ul>
			<div id="results">

				<table>
					<c:if test="${Users[0].id == null}">
						<ins>No results.</ins>
					</c:if>	
					<c:if test="${Users[0].id != null}">
						<tr>
							<th>#</th>
							<th>UID</th>
							<th>Nickname</th>
						</tr>
						<c:forEach items="${Users}" var="user" varStatus="i">
							<tr>
								<td>${i.index+1}</td>
								<td>${user.id}</td>
								<td><a href="/webapp/profileView/${user.id}">${user.nickName}</a></td>
								<td>
									<sec:authorize access="hasRole('ROLE_ADMIN')">
										<span class="ui-icon ui-icon-circle-close ui-button ui-corner-all remove">
											<input class="user" type="hidden" value="${user.id}"/>
										</span>
									</sec:authorize>
								</td>
							</tr>
						</c:forEach>
					</c:if>
				</table>
			</div>
		</div>

	</body>	
</html>